package net.wanji.web.common.util;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/9 16:48
 */
public class CrossUtil {
    // 从路口信息中分离经纬度
    public static double[] getLonLat(String location) {
        List<String> result = RegexUtils.getMatchGroups(location,
                "^POINT\\(([0-9]*\\.?[0-9]+) ([0-9]*\\.?[0-9]+)\\)$", 2);
        String longitudeStr = result.get(1);
        double longitude = Double.parseDouble(longitudeStr);
        String latitudeStr = result.get(2);
        double latitude = Double.parseDouble(latitudeStr);
        double[] lonLat = {longitude, latitude};
        return lonLat;
    }
}
