package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.ControlHistPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;


/**
 * @author Kent HAN
 * @date 2022/10/27 14:25
 */
@Repository
@DS("webService")
public interface ControlHistMapper {
    List<ControlHistPO> selectByCrossId(@Param("crossId") String crossId, @Param("todayDate") Date todayDate);
}
