package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.RidInfoPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author Kent HAN
 * @date 2022/11/8 16:22
 */
@Repository
@DS("webService")
public interface RidInfoMapper {
    Double selectRoadLength(@Param("startCrossid") String startCrossid,
                            @Param("endCrossid") String endCrossid);

    String selectStartCrossOutDir(@Param("startCrossid") String startCrossid,
                                  @Param("endCrossid") String endCrossid);

    String selectWkt(@Param("startCrossid") String startCrossid,
                     @Param("endCrossid") String endCrossid);

    RidInfoPO selectOne(@Param("startCrossid") String startCrossid,
                        @Param("endCrossid") String endCrossid);
}
