package net.wanji.web.po;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * <p>
 * 区域基础表
 * </p>
 *
 * @author wj
 * @since 2022-11-28
 */
@Getter
@Setter
public class AreaTreePO   {

    /**
     * 行政区划代码
     */
    private Integer areaCode;

    /**
     * 行政区划名称
     */
    private String areaName;

    private Integer parentCode;

    private List<AreaTreePO> children;

}
