package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/8 14:35
 */
@Data
public class SpecialServiceCrossPO {
    /** 主键 */
    @Id
    @ApiModelProperty(name = "主键",notes = "")
    private Integer id ;
    /** 特勤ID */
    @ApiModelProperty(name = "特勤ID",notes = "")
    private Integer specialServiceId ;
    /** 路口编号 */
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossId ;
    /** 进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dir = 1 ;
    /** 转向：l左转；s直行；r右转；u掉头 */
    @ApiModelProperty(name = "转向：l左转；s直行；r右转；u掉头",notes = "")
    private String turn ;
    /** 顺序号 */
    @ApiModelProperty(name = "顺序号",notes = "")
    private Integer sort ;
    /** 执行状态：1成功；0失败 */
    @ApiModelProperty(name = "执行状态：1成功；0失败",notes = "")
    private Integer status = 0 ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
