package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wj
 * @date 2022/11/28 9:42:39
 */
@Data
@ApiModel(value = "CrossInfoVO", description = "查询路口管理输入参数")
public class CrossInfoVO {

    /**
     * 路口名称
     */
    @ApiModelProperty(value = "路口名称", required = true)
    private String name;

    /**
     * 行政区划代码
     */
    @ApiModelProperty(value = "行政区划代码", required = true)
    private Integer areaCode;

    /**
     * 行政区划名称
     */
    @ApiModelProperty(value = "行政区划名称", required = true)
    private String areaName;

    /**
     * 是否信控路口：1是；0否
     */
    @ApiModelProperty(value = "是否信控路口：1是；0否", required = true)
    private Integer isSignal;

    /**
     * 是否启动优化：1是；0否
     */
    @ApiModelProperty(value = "是否启动优化：1是；0否", required = true)
    private Integer isStart;

    /**
     * 是否下发方案：1是；0否
     */
    @ApiModelProperty(value = "是否下发方案：1是；0否", required = true)
    private Integer isSend;

    @ApiModelProperty(value = "当前页")
    private Integer pageNum;

    @ApiModelProperty(value = "每页的数量")
    private Integer pageSize;

}
