package net.wanji.web.common.constant;

/**
 * @Description: [常量类]
 * @author wanji
 * @version 1.0
 * Created on 2019/4/16 15:07
 */
public class Const {

    /**
     * UTC 城市交通信号控制系统简称
     */
    public static final String SYSTEM_TYPE = "UTC";

    /**
     * 未删除
     */
    public static final Boolean IS_DELETE_NO = false;
    /**
     * 已删除
     */
    public static final Boolean IS_DELETE_YES = true;

    /**
     * 失败-false
     */
    public static final int FALSE = 0;
    /**
     * 成功-true
     */
    public static final int TRUE = 1;

    /**
     * 不下发
     */
    public static final String NOT_SEND = "2";

    /**
     * 全部：-1
     */
    public static final Integer ALL = -1;

    /**
     * 分隔符：逗号
     **/
    public static final String SEPARATOR_COMMA = ",";

    /**
     * 分隔符：冒号
     **/
    public static final String SEPARATOR_COLON = ":";

    /**
     * 分隔符：减号
     **/
    public static final String SEPARATOR_MINUS = "-";

    /**
     * 分隔符：下划线
     **/
    public static final String SEPARATOR_UNDER_LINE = "_";

    /**
     * 下划线，作为查询条件时，将"_"转化为"\_"
     */
    public static final String TRANS_UNDERLINE = "\\\\_";

    /**
     * 分隔符：空格
     **/
    public static final String SEPARATOR_SPACE = " ";

    /**
     * 分隔符：分号
     **/
    public static final String SEPARATOR_SEMICOLON = ";";

    /**
     * 分隔符：@
     */
    public static final String SEPARATOR_AT = "@";

    /**
     * 分隔符：左括号
     */
    public static final String SEPARATOR_LEFTBRACES = "(";

    /**
     * 分隔符：右括号
     */
    public static final String SEPARATOR_RIGHTBRACES = ")";

    /**
     * 分隔符：大于号 >
     */
    public static final String SEPARATOR_GREATER_THAN = ">";

    /**
     * webSocket topic 信号机状态分组
     */
    public static final String WEBSOCKET_TOPIC_SIGNAL_STATE = "topic_signal_state";

    /**
     * webSocket topic 下发结果状态分组
     */
    public static final String WEBSOCKET_TOPIC_PLAN_ISSUED = "topic_plan_issued";

    /**
     * 海康返回成功码
     */
    public static final Integer HK_TRUE_CODE = 0;
    /**
     * 海康返回成功码的 key
     */
    public static final String HK_KEY_CODE = "code";

}
