package net.wanji.web.common.constant;

/**
 * @author wanji
 * @version 1.0
 * Created on 2019/5/8 16:35
 * @description: [redis key常量类]
 */
public interface RedisKeyConst {

    /**
     * Redis存储Key前缀
     */
    String KEY_PREFIX = "utcsystem_";

    //redis时段方案版本号
    String SECTIM_VERSION = "sectim_version_";
    //redis相位方案版本号
    String PHASE_VERSION = "phase_version_";
    //token存储Redis有效时长
    int TOKEN_EXPIRE_TIME = 7200;

    //信号机状态
    String TELESEME_STATUS = "teleseme_status";

    //信号机灯组方向信息
    String CROSS_LIGHTS = "cross_lights";

    //信号灯线圈车道
    String CROSS_COIL_LANE = "cross_coil_lane";

    //信号机列表
    String SIGNAL_LIST = "signal_list";

    //优化配置管理
    String SET_OPT_CONFIG = "set_opt_config";
    //最小绿时长
    String MIN_GREEN_TIME = "min_green_time";
    //最大绿时长
    String MAX_GREEN_TIME = "max_green_time";
    //绿信比是否下发
    String IS_SEND = "is_send";
    //绿信比优化时段
    String OPT_TIME = "opt_time";
}
