package net.wanji.web.mapper;

import net.wanji.web.entity.TBaseAreaInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.web.po.AreaTreePO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 区域基础信息 Mapper 接口
 * </p>
 *
 * @author wj
 * @since 2022-12-16
 */
@Repository
public interface TBaseAreaInfoMapper extends BaseMapper<TBaseAreaInfo> {

    int deleteByPrimaryKey(Integer id);

    int insert(TBaseAreaInfo record);

    int insertSelective(TBaseAreaInfo record);

    TBaseAreaInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TBaseAreaInfo record);

    int updateByPrimaryKeyWithBLOBs(TBaseAreaInfo record);

    int updateByPrimaryKey(TBaseAreaInfo record);

    List<AreaTreePO> selectAreaTree();
}
