package net.wanji.web.mapper;

import net.wanji.web.entity.TBaseCrossInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.web.po.CrossInfoPO;
import net.wanji.web.vo.CrossInfoVO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 路口基础表 Mapper 接口
 * </p>
 *
 * @author wj
 * @since 2022-11-28
 */
@Repository
public interface TBaseCrossInfoMapper extends BaseMapper<TBaseCrossInfo> {

    int deleteByPrimaryKey(String id);

    @Override
    int insert(TBaseCrossInfo record);

    int insertSelective(TBaseCrossInfo record);

    TBaseCrossInfo selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(TBaseCrossInfo record);

    int updateByPrimaryKey(TBaseCrossInfo record);

    List<CrossInfoPO> selectAll(CrossInfoVO crossInfoVO);

    Integer countSelectAll(CrossInfoVO crossInfoVO);
}
