package net.wanji.web.po;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wuxiaokai
 * @date 2022/11/28 9:42:39
 */
@Getter
@Setter
public class CrossInfoPO {

    /**
     * 路口ID
     */
    private String id;

    /**
     * 路口名称
     */
    private String name;

    /**
     * 路口类型
     */
    private Integer type;

    /**
     * 路口级别
     */
    private Integer level;

    /**
     * 行政区划代码
     */
    private Integer areaCode;

    /**
     * 行政区划名称
     */
    private String areaName;

    /**
     * 路口位置
     */
    private String location;

    /**
     * 是否信控路口：1是；0否
     */
    private Integer isSignal;

    /**
     * 是否启动优化：1是；0否
     */
    private Integer isStart;

    /**
     * 是否下发方案：1是；0否
     */
    private Integer isSend;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

}
