package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/9 13:10
 */
@Data
@ApiModel(value = "ListSpecialServicesOutVO", description = "快速特勤-一键特勤、一键取消特勤请求体")
public class EnableDisableSpecialServiceOutVO {
    @ApiModelProperty(name = "相位锁定参数",notes = "")
    List<PhaseLockVO> phases;

    @ApiModelProperty(name = "信号机编号",notes = "")
    String signalid;

    @ApiModelProperty(name = "信号机类型 QS/SCATS/HS/HK/DT",notes = "")
    String signaltype;
}
