package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/9 13:13
 */
@Data
@ApiModel(value = "PhaseLockVO", description = "相位锁定参数")
public class PhaseLockVO {
    @ApiModelProperty(name = "1 锁定;0 取消",notes = "")
    private Integer command ;

    @ApiModelProperty(name = "相位锁定时间,999 永久锁定,必须手动取消;0~999,自动取消",notes = "")
    private Integer locktime ;

    @ApiModelProperty(name = "相位编号",notes = "")
    private String phaseid ;
}
